
#declare Disk_X = cylinder { x,-x,1}
#declare Disk_Y = cylinder { y,-y,1}
#declare Disk_Z = cylinder { z,-z,1}
#declare Cube   = box { <-1, -1, -1>, <1, 1, 1> }

#declare Span = difference {
    box { <-1, -1, -1>, <1, 1, 1> }
    object { Disk_Z scale <0.85, 0.75, 1.5> } // cross-arches
    object { Disk_X scale <1.15, 0.7, 0.7> }  // lengthwise arches
    clipped_by { plane { -y,0 } }
}

#declare Bridge = union {
    object { Span }
    object { Span translate -x*2}
    object { Span translate  x*2}
    object { Span translate -x*4}
    object { Span translate  x*4}
    object { Span translate -x*6}
    object { Span translate  x*6}
    object { Cube scale <12, 0.15, 1.005> translate y*1.2}
    object { Cube scale <12, 0.05, 1.05> translate y*1.2}
    scale <1,1,2>
}

#declare Building = union {
    difference {
        union {
            object { Disk_Y  scale <10, 23, 10> }
            object { Disk_Y  scale <11, 1, 11> translate <0, 23, 0>}
        }
        object { Disk_Z scale <2.5, 10, 12> }
    }
    union {
    box { <-100, 0, 10> <10, 28, 20> }
    box { <-110, 28, 08> <10, 29, 22> }
    }

    translate <0, 0, 45>
}
