# ===========================================================================
#
# ===========================================================================
#
# SYNOPSIS
#
#   AX_APPEND_FLAGS([FLAG1 FLAG2 ...], [FLAGS-VARIABLE])
#
# DESCRIPTION
#
#   A simpler equivalent of AX_APPEND_COMPILE_FLAGS, AX_APPEND_LINK_FLAGS
#   without doing compiles or comile/links to verify each. Only checking
#   for duplicates is done - and that via AX_APPEND_FLAG. Note this the
#   same name but plural so watch for confusion.
#
#   Note! Known bug. Code here using AX_APPEND_FLAG which correctly sees and
#   does not append duplicates already in variable. However, when it writes
#   to the log file it is not correctly passing the flag name on reporting
#   the duplication.
#
# LICENSE
#
#   Copyright (c) 2021 William F. Pokorny
#
#   Copying and distribution of this file, with or without modification, are
#   permitted in any medium without royalty provided the copyright notice
#   and this notice are preserved. This file is offered as-is, without any
#   warranty.

AC_DEFUN([AX_APPEND_FLAGS],[dnl
    AX_REQUIRE_DEFINED([AX_APPEND_FLAG])
    TMP_FLAGS=m4_normalize([$1])
    for flag in $TMP_FLAGS; do
        AX_APPEND_FLAG([$flag], [$2])
    done
])

